#!/usr/bin/env python3

import sys

def wrong(msg):
    print(msg)
    sys.exit(1)

assert sys.argv[2] in ('easy', 'hard')
hard = sys.argv[2] == 'hard'

with open(sys.argv[1], 'rb') as f:
    theirs = f.read().split()

with open('hard.out1', 'rb') as f:
    correct = f.read().split()

wantlen = 6 if hard else 2
if len(theirs) != wantlen:
    wrong('Wrong answer: expected %d tokens, not %d' % (wantlen, len(theirs)))

theirs = sorted(map(sorted, zip(theirs[0::2], theirs[1::2])))
correct = sorted(map(sorted, zip(correct[0::2], correct[1::2])))

#print(theirs, file=sys.stderr)
#print(correct, file=sys.stderr)

if ((theirs != correct) if hard else (theirs[0] not in correct)):
    wrong('Wrong answer')

print('OK')
